--- title: "View API key subscription" slug: "apigateway-apikey-subscription-detail" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-apikey-subscription-detail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View API key subscription Available in Classic and VPC View information of the stage (subscribed stage) associated with an API key. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/api-keys/{api-key-id}/subscription-detail | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `api-key-id` | String | Required | API key ID to view subscription information | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point in the list of data to view - 0 - 9,223,372,036,854,775,807 | | `limit` | Long | Optional | Number of data to view at once - 1 - 9,223,372,036,854,775,807 | | `apiId` | String | Optional | API ID that the stage belongs to | | `stageId` | String | Optional | Stage ID associated with the API key | | `productId` | String | Required | Product ID associated with the API key | ### Request example The following is a sample request. ``` curl -X POST 'https://apigateway.apigw.ntruss.com/api/v1/api-keys/{api-key-id}/subscription-detail?productId=*****n0bk' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "apiKeyRelations": { "content": [ { "apiId": "apiId", "apiName": "apiName", "stageId": "stageId", "stageName": "stageName", "apiKeyId": "apiKeyId", "apiKeyName": "apiKeyName", "usagePlanId": "usagePlanId", "usagePlanName": "usagePlanName", "regTime": "2024-05-07T08:34:37Z", "modTime": "2024-05-07T08:34:37Z", "dayCallCount": 0, "monthCallCount": 0, "domainCode": "domainCode" } ], "total": 0 } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "apiKeyRelations": { "content": [ { "apiId": "*****uwtk", "apiName": "api-***", "stageId": "*****7mhdv", "stageName": "v1", "apiKeyId": "*****g079", "apiKeyName": "apiKey-***", "usagePlanId": "*****w2111", "usagePlanName": "usagePlan-***", "regTime": "2024-05-07T08:34:37Z", "modTime": "2024-05-07T08:34:37Z", "dayCallCount": 0, "monthCallCount": 0, "domainCode": "PUB" } ], "total": 1 } } ```